import { Component, ViewChild } from '@angular/core';
import { SplashScreen } from '@capacitor/splash-screen';
import { Logger } from './classes/Logger/logger';
import { IAPComponent } from './iap/iap.component';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  @ViewChild(IAPComponent) iap : IAPComponent;
  
  enableTopLevelButtons:boolean;
  enableIAPMenu:boolean;
  logger: Logger = new Logger();
  
constructor() { 
    this.logger.context("linker app");
    
    setTimeout(() => {
      SplashScreen.hide();
    }, 3000);
  }
  
  showIAPMenu() {
    this.iap.showMenu();
  }

  toggleMenu() {
    this.enableTopLevelButtons = !this.enableTopLevelButtons;
  }
}
