import { Injectable } from '@angular/core';

declare global {
  var SGL_DEBUG_LOG:boolean;
}

export class Logger {
  constructor() {
    globalThis.SGL_DEBUG_LOG = true;
   }

  private _context:string = "";
  private _base: string = "[LostSeraph] ";

  get myContext() : string {
    return this._base + `[${(this._context ? this._context : "Unknown")}]`;
  }

  context(context:string) {
    this._context = context;
    this.log("Established Context");
  }

  log(message:any) {
    if(globalThis.SGL_DEBUG_LOG) {
      console.log(`${this.myContext}: ${message}`);
    }
  }

  warn(message:string) {
    if(globalThis.SGL_DEBUG_LOG) {
      console.warn(`${this.myContext}: ${message}`);
    }
  }
  logObject(message:string, obj:any) {
    if(globalThis.SGL_DEBUG_LOG) {
      console.log(`${this.myContext}: ${message}`);
      console.log(obj);
    }
  }
  error(message:any) {
    console.error(`${this.myContext}: ${message}`);
  }
} 
