import { Unsubscribe, User } from "firebase/auth";
import { SubEvent, Subscription } from "sub-events";


export class Subber {
    private _sub : Subscription;

    public set sub(v : Subscription) {
        if(this._sub) {
            this._sub.cancel();
        }

        this._sub = v;
    }
    
    public get sub() : Subscription {
        return this._sub;
    }
}

export class TimedSubber extends Subber {
  hasDoneIt: boolean = false;
  byTimeout: NodeJS.Timeout;

  TimeIt<T>(onSub: SubEvent<T | null>, it: (thing:T | null) => void, time: number) {
    this.sub = onSub.subscribe((data:T | null) => {
        clearTimeout(this.byTimeout);
        it(data);
    });

    this.byTimeout = setTimeout(() => {
        this.sub.cancel();
        it(null);
    }, time);
  }
}

export class UnSubber {
    private _sub : Unsubscribe;

    public set sub(v : Unsubscribe) {
        if(this._sub) {
            this._sub();
        }

        this._sub = v;
    }
    
    public get sub() : Unsubscribe {
        return this._sub;
    }
}