import { Injectable } from '@angular/core';
import { Dialog } from '@capacitor/dialog';

@Injectable({
  providedIn: 'root'
})
export class DialogService {

  constructor() { }
  
  /*https://capacitorjs.com/docs/apis/dialog*/
  async presentAlert(title:string, message:string) {
    return await Dialog.alert({
      title,
      message,
      buttonTitle: 'OK'
    });
  }

  async presentConfirmation(title:string, message:string) {
    return await Dialog.confirm({
      title,
      message,
      okButtonTitle: 'confirm'
    })
  }
}
